org.springframework.batch.sample.domain.order

## Class LineItem

- java.lang.Object
- - org.springframework.batch.sample.domain.order.LineItem

-     public class LineItem
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `LINE_ID_ITEM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.math.BigDecimal` | `getDiscountAmount()`
    `java.math.BigDecimal` | `getDiscountPerc()`
    `java.math.BigDecimal` | `getHandlingPrice()`
    `long` | `getItemId()`
    `java.math.BigDecimal` | `getPrice()`
    `int` | `getQuantity()`
    `java.math.BigDecimal` | `getShippingPrice()`
    `java.math.BigDecimal` | `getTotalPrice()`
    `int` | `hashCode()`
    `void` | `setDiscountAmount(java.math.BigDecimal discountAmount)`
    `void` | `setDiscountPerc(java.math.BigDecimal discountPerc)`
    `void` | `setHandlingPrice(java.math.BigDecimal handlingPrice)`
    `void` | `setItemId(long itemId)`
    `void` | `setPrice(java.math.BigDecimal price)`
    `void` | `setQuantity(int quantity)`
    `void` | `setShippingPrice(java.math.BigDecimal shippingPrice)`
    `void` | `setTotalPrice(java.math.BigDecimal totalPrice)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LINE_ID_ITEM

          public static final java.lang.String LINE_ID_ITEM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LineItem

          public LineItem()

  - ### Method Detail

    - #### getDiscountAmount

          public java.math.BigDecimal getDiscountAmount()

    - #### setDiscountAmount

          public void setDiscountAmount(java.math.BigDecimal discountAmount)

    - #### getDiscountPerc

          public java.math.BigDecimal getDiscountPerc()

    - #### setDiscountPerc

          public void setDiscountPerc(java.math.BigDecimal discountPerc)

    - #### getHandlingPrice

          public java.math.BigDecimal getHandlingPrice()

    - #### setHandlingPrice

          public void setHandlingPrice(java.math.BigDecimal handlingPrice)

    - #### getItemId

          public long getItemId()

    - #### setItemId

          public void setItemId(long itemId)

    - #### getPrice

          public java.math.BigDecimal getPrice()

    - #### setPrice

          public void setPrice(java.math.BigDecimal price)

    - #### getQuantity

          public int getQuantity()

    - #### setQuantity

          public void setQuantity(int quantity)

    - #### getShippingPrice

          public java.math.BigDecimal getShippingPrice()

    - #### setShippingPrice

          public void setShippingPrice(java.math.BigDecimal shippingPrice)

    - #### getTotalPrice

          public java.math.BigDecimal getTotalPrice()

    - #### setTotalPrice

          public void setTotalPrice(java.math.BigDecimal totalPrice)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`